function Create_text_file (nd,data_odin,data_aura)
global path_data_output_odin; 
global path_data_output_aura;
global dirnm_Odin;
global dirnm_Aura;
global dirnm_Odin_ht;
global dirnm_Aura_ht;
global path_data_output_odin_aura;
global dayvc;
global Altitude;
%% Create text file for the Odin satellite

SNsc = size (data_odin,2); % Number of scans for data structure
ht=[num2str(Altitude) '_Km'];

%Generate directory with date label
if nd==1 nm=num2str(strrep(data_odin(1).Date,'/','_'));
elseif nd==0 nm=num2str(strrep(datestr(dayvc,24),'/','_'));
else nm=['Data_of_' num2str(nd) '_days'];end
dirnm_Odin=[path_data_output_odin nm];
dirnm_Odin_ht=[dirnm_Odin '/' ht]
if ~exist(dirnm_Odin) mkdir(dirnm_Odin);end;
if ~exist(dirnm_Odin_ht) mkdir(dirnm_Odin_ht);end;

% Output file name

a=['/Odin_',num2str(strrep(data_odin(1).SpeciesName,' ','')),'_',...
    num2str(Altitude),'Km_',nm,'.txt'];
ofn=[dirnm_Odin_ht,a];
% open the file with write permission
fid = fopen(ofn, 'w');
fprintf(fid, 'Altitude %s Km\nSpecies Name %s\n',num2str(Altitude),...
    data_odin(1).SpeciesName);
if nd==1 fprintf(fid, 'Date %s\n\n',data_odin(1).Date);
else fprintf(fid,'%s days of data from date %s\n\n',num2str(nd),data_odin(1).Date);end;
fprintf(fid, ' GeodeticLat \t GeodeticLon \t GeoMagLat\t GeomagLon\t VolMixRatio \tSunZD \tTime \n');

for i=1:SNsc-1 

fprintf(fid, ' %6.2f \t %6.2f \t %6.2f \t %6.2f \t%8.3g \t%6.2f \t %s\n',...
        data_odin(i).GeodeticLat,data_odin(i).GeodeticLon,data_odin(i).GeoMagLat,...
        data_odin(i).GeoMagLon,data_odin(i).Profile,data_odin(i).SunZD,data_odin(i).Time);
end
disp(['Output text file saved at: ',dirnm_Odin_ht]);    
fclose(fid);

%% Create text file for the Aura satellite


SNsc = size (data_aura,2); 
ht=[num2str(Altitude) '_Km'];

%Generate directory with date label
dirnm_Aura=[path_data_output_aura nm];
dirnm_Aura_ht=[dirnm_Aura '/' ht]
if ~exist(dirnm_Aura) mkdir(dirnm_Aura);end;
if ~exist(dirnm_Aura_ht) mkdir(dirnm_Aura_ht);end;

% Output file name

a=['/Aura_',num2str(strrep(data_aura(1).SpeciesName,' ','')),'_',...
    num2str(Altitude),'Km_',nm,'.txt'];
ofn=[dirnm_Aura_ht,a];
% open the file with write permission
fid = fopen(ofn, 'w');
fprintf(fid, 'Altitude %s Km\nSpecies Name %s\n',num2str(Altitude),...
    data_aura(1).SpeciesName);
if nd==1 fprintf(fid, 'Date %s\n\n',data_aura(1).Date);
else fprintf(fid,'%s days of data from date %s\n\n',num2str(nd),data_aura(1).Date);end;
fprintf(fid, ' GeodeticLat \t GeodeticLon \t GeoMagLat\t GeomagLon\t VolMixRatio \tSunZD \tTime \n');

for i=1:SNsc-1 

fprintf(fid, ' %6.2f \t %6.2f \t %6.2f \t %6.2f \t%8.3g \t%6.2f \t %s\n',...
        data_aura(i).GeodeticLat,data_aura(i).GeodeticLon,data_aura(i).GeoMagLat,...
        data_aura(i).GeoMagLon,data_aura(i).Profile,data_aura(i).SunZD,data_aura(i).Time);
end
disp(['Output text file saved at: ',dirnm_Aura_ht]);    
fclose(fid);


end

