function Plot_averaged_data(Z2,days,clim,plot_type,dayc)
global dirnm;
global Altitude;
global SpeciesName;
global dayvs;
global dayvn;
global Sat;
global Sat1;
global Sat2;
global Sat3;
global path_data_output_odin_aura;
datep=strrep(datestr(dayvn,24),'/',[]);
specp=strrep(SpeciesName,' ',[]);
load coasts.mat
colon=coasts(:,1)./100-180;
colat=coasts(:,2)./100-90;
L=length(colon);
dt=datestr(dayvn,24);
f=isnan(colat);
g=isnan(colon);
for v=1:L;
    if (f(v)~=1 || g(v)~=1);
        [mcolat(v) mcolon(v)]=GDZ2GMA(60,colat(v),colon(v));
    else
        mcolat(v)=NaN;
        mcolon(v)=NaN;
    end;
end;
mcolon=mcolon';
mcolat=mcolat';
mrad=ones(length(mcolon),1);
lat=-90:1:90;
lon=-180:1:180;
[XG ,YG]=meshgrid(lon,lat);
[x y z]=sphere(2*24);


% Average plot of several days

if (strcmp(plot_type,'Avg'))
    
    figure(3);
    cla;clf;
    set(gcf,'Visible','on');
    set(gcf,'InvertHardcopy','off');
    set(gcf,'Color',[1 1 1]);
    axes('position', [0.05,0.05,0.9,0.9]);
    axis off;axis square;
    caxis ([0 0.000003]);
    hearth=surface(x,y,z,'cdata',Z2,'facecolor','texture','edgecolor','none');
    [cx,cy,cz]=sph2cart((mcolon)/180*pi,(mcolat)/180*pi,mrad);
    shcoasts = line(cx,cy,cz,'color',[0 0 0],'linewi',1.1);
    
    [mlatt mlont]=GDZ2GMA(60,-72,2.5);
    [tx ty tz]=sph2cart([mlont]/180*pi,[mlatt]/180*pi,1);
    plot_troll=line(tx,ty,tz,'color',[1 0 0],'linesty','none','LineWidth',0.7,'marker','o','MarkerFaceColor',[1 0 0],'MarkerSize',8,'EraseMode','none');
    
    view(-90,-90)
    rotate([hearth,shcoasts,plot_troll],[0 0 1],180);
    
    % Zoom and show grid
    %zoom(1.5)
    plotgrid(-90:10:90,-180:30:180,'sphere');
    
    %cmap=colormap;
    %cmap(1,:)=1.;
    %colormap(cmap);
    
    %
    % make sure that NaNs are white ...
    %
    tmp_cdata=get(hearth,'cdata');
    cl=get(gca,'clim');
    tmp_cdata(isnan(tmp_cdata))=cl(1);
    set(hearth,'cdata',tmp_cdata);
    hcolorbar=colorbar;
    set(hcolorbar,'fontsize' ,10,'Fontweight','demi');
    if Sat==Sat3;
        Satnm='Odin and Aura';
    else Satnm=Sat;end;
    bar_title1=[Satnm,' satellite. Geomagnetic map at ',num2str(Altitude),' Km of altitude.'];
    
    text(-1.05,0,bar_title1,'fontsize' ,13,'Fontweight','demi','interpreter','none','horiz','center');
    
    %text(-1.05,0,'Geomagnetic Coordinates','fontsize' ,13,'Fontweight','demi','interpreter','none','horiz','center');
    bar_title=['Average of ',num2str(days),' days from the ',dayvs];
    text(1.05,0,bar_title,'fontsize' ,13,'Fontweight','demi','interpreter','none','horiz','center');
    text(0,-1.1,[SpeciesName ' [ppmv]'],'fontsize' ,13,'Fontweight','demi','interpreter','none','horiz','center','Rotation',90)
    
    dirnm=[dirnm 'Average'];
    mkdir(dirnm)
    % Save plot
    
    set(gcf,'InvertHardcopy','off');
    set(gcf,'PaperType','A4');
    set(gcf,'PaperOrientation','portrait');
    set(gcf,'PaperPositionMode','auto');
    
    png_name=fullfile(dirnm,['Odin_',specp,'_',num2str(Altitude),'Km_MagMap',datep,'_Avg_',num2str(days),'days.png']);
    %eps_name=fullfile(dirnm,['Odin_',specp,'_',num2str(S_Alt(1).Altitude),'Km_MagMap',datep,'.eps']);
    
    disp(['Printing to file ',png_name,' ... ']);
    print('-dpng',['-f3'],png_name);
    
    %disp(['Printing to file ',eps_name,' ... ']);
    %print('-depsc',['-f3'],eps_name);
    
end;

if (strcmp(plot_type,'Pct'))
    
    figure(3);
    cla;clf;
    set(gcf,'Visible','on');
    set(gcf,'InvertHardcopy','off');
    set(gcf,'Color',[1 1 1]);
    axes('position', [0.05,0.05,0.9,0.9]);
    axis off;axis square;
    caxis ([-100 100]);
    hearth=surface(x,y,z,'cdata',Z2,'facecolor','texture','edgecolor','none');
    [cx,cy,cz]=sph2cart((mcolon)/180*pi,(mcolat)/180*pi,mrad);
    shcoasts = line(cx,cy,cz,'color',[0 0 0],'linewi',1.1);
    
    
    % Plot markers for scans of the orbit
    %[mx,my,mz]=sph2cart([gmalon]/180*pi,[gmalat]/180*pi,ones(length([gmalon]),1)'); %'
    %shorbitm=line(mx,my,mz,'color',[0.5 0.5 0.5],'linesty','none','LineWidth',0.7,'marker','o','MarkerSize',4,'EraseMode','none');
    
    [mlatt mlont]=GDZ2GMA(60,-72,2.5);
    [tx ty tz]=sph2cart([mlont]/180*pi,[mlatt]/180*pi,1);
    plot_troll=line(tx,ty,tz,'color',[0 1 0],'linesty','none','LineWidth',0.7,'marker','o','MarkerFaceColor',[0 1 0],'MarkerSize',8,'EraseMode','none');
    
    view(-90,-90)
    rotate([hearth,shcoasts,plot_troll],[0 0 1],180);
    
    % Zoom and show grid
    %zoom(1.5)
    plotgrid(-90:10:90,-180:30:180,'sphere');
    
    %cmap=colormap;
    %cmap(1,:)=1.;
    %colormap(jet(16));
     load('MartinColormap','mycmap'); set(gcf,'Colormap',mycmap);
    %
    % make sure that NaNs are white ...
    %
    %tmp_cdata=get(hearth,'cdata');
    %cl=get(gca,'clim');
    %tmp_cdata(isnan(tmp_cdata))=cl(1);
    %set(hearth,'cdata',tmp_cdata);
    hcolorbar=colorbar;
    set(hcolorbar,'fontsize' ,10,'Fontweight','demi');
    if Sat==Sat3;
        Satnm='Odin and Aura';
    else Satnm=Sat;end;
    bar_title1=[Satnm,' satellite. Map at ',num2str(Altitude),' Km of altitude. '];
    
    text(-1.05,0,bar_title1,'fontsize' ,13,'Fontweight','demi','interpreter','none','horiz','center');
    
    bar_title2=['O3 - ',datestr(dayvn,24),' change from pre-storm average'];
    text(1.05,0,bar_title2,'fontsize' ,13,'Fontweight','demi','interpreter','none','horiz','center');
    text(0,-1.55,['%'],'fontsize' ,13,'Fontweight','demi','interpreter','none','horiz','center','Rotation',90)
    
    
    %if ~exist(dirnm);
    %    mkdir(dirnm);
    %    disp(['Creating new directory',dirnm]);
    %end;
    
    % Save plot
    
    set(gcf,'InvertHardcopy','off');
    set(gcf,'PaperType','A4');
    set(gcf,'PaperOrientation','landscape');
    set(gcf,'PaperPositionMode','auto');
    datem=strrep(datestr(dayvn,24),'/','_');
    nm='-avg';
    dir_1=[path_data_output_odin_aura datem '/' num2str(Altitude) '_Km'];
    dir_eps=[dir_1 '/eps'];
    dir_png=[dir_1 '/png'];
    if ~exist(dir_1) mkdir(dir_1);end;
    if ~exist(dir_eps) mkdir(dir_eps);end;
    if ~exist(dir_png) mkdir(dir_png);end;
    png_name=fullfile(dir_png,['Odin_Aura_O3_',num2str(Altitude),'_Km_MagMap_',datem,nm,'.png']);
    eps_name=fullfile(dir_eps,['Odin_Aura_O3_',num2str(Altitude),'Km_MagMap_',datem,nm,'.eps']);
    
    %png_name=fullfile(path_data_output_odin_aura,['Odin_Aura_',specp,'_',num2str(Altitude),'_Km_MagMap_PctChg_',datep,'.png']);
    %eps_name=fullfile(path_data_output_odin_aura,['Odin_Aura_',specp,'_',num2str(Altitude),'Km_MagMap_PcyChg_',datep,'.eps']);
    
    disp(['Printing to file ',png_name,' ... ']);
    print('-dpng',['-f3'],png_name);
    disp(['Printing to file ',eps_name,' ... ']);
    print('-depsc',['-f3'],eps_name);
    
    figure(4);
    cla;clf;
    set(gcf,'Visible','on');
    set(gcf,'InvertHardcopy','off');
    set(gcf,'Color',[1 1 1]);
    %axes('position', [0.05,0.05,0.9,0.9]);
    %axis off;axis square;
    axes1=axes('Parent',gcf,'YMinorTick','on',...
        'XTick',[-180 -120 -60 0 60 120 180],...
        'XMinorTick','on',...
        'CLim',clim);
    xlim(axes1,[-180 180]);
    ylim(axes1,[-90 0]);
    caxis (clim);
    flat=surface(XG,YG,Z2,'LineStyle','none',...
        'FaceColor','interp');
    cmap=colormap(jet(16));
    shcoasts = line(cx,cy,cz,'color',[0 0 0],'linewi',1.1);
    %cmap=colormap;
    cmap(1,:)=1.;
    colormap(cmap);
    set(gcf,'Colormap',mycmap);
    tmp_cdata=get(flat,'cdata');
    cl=get(gca,'clim');
    tmp_cdata(isnan(tmp_cdata))=cl(1);
    set(flat,'cdata',tmp_cdata);
    xlabel('Geomagnetic Longitude');
    
    % Create ylabel
    ylabel('Geomagnetic Latitude');
    %bar_tit=[SpeciesName,' map at ',num2str(Altitude),' Km of altitude. Date:' dt];
    %text(-1.05,2,bar_tit,'fontsize' ,13,'Fontweight','demi','interpreter','none','horiz','center');
    
    set(gcf,'InvertHardcopy','off');
    set(gcf,'PaperType','A4');
    set(gcf,'PaperOrientation','landscape');
    set(gcf,'PaperPositionMode','auto');
    %datem=strrep(dt,'/','_');
    %specp=strrep(SpeciesName,' ',[]);
    datem=strrep(datestr(dayvn,24),'/','_');
    nm='-avg';
    dir_1=[path_data_output_odin_aura datem '/' num2str(Altitude) '_Km'];
    dir_eps=[dir_1 '/eps'];
    dir_png=[dir_1 '/png'];
    if ~exist(dir_1) mkdir(dir_1);end;
    if ~exist(dir_eps) mkdir(dir_eps);end;
    if ~exist(dir_png) mkdir(dir_png);end;
    png_name=fullfile(dir_png,['Odin_Aura_O3_',num2str(Altitude),'_Km_Flat_MagMap_',datem,nm,'.png']);
    eps_name=fullfile(dir_eps,['Odin_Aura_O3_',num2str(Altitude),'Km_Flat_MagMap_',datem,nm,'.eps']);
    
    
    disp(['Printing to file ',png_name,' ... ']);
    print('-dpng',['-f4'],png_name);
    
    disp(['Printing to file ',eps_name,' ... ']);
    print('-depsc',['-f4'],eps_name);
    
    
    
end
