function zm=calculate_zonalmean(l2,species,level_type,ylim,lat_type,latboxes,levels)
 	
 	global Sat;
    global dayvn;
 	zm=[];
 	
 	
 	level_type=num2str(level_type);
 	if strcmp(level_type,'altitude') level_unit='km'; end
 	if strcmp(level_type,'pressure') level_unit='hPa'; end
 
    species_id=[];
 	  ind=[];
 	for i=1:length(l2)
 	    %species_id=find(strncmp(l2(i).SpeciesNames,species,length(species)) == 1);
 	    species_id=2;
        if ~isempty(species_id)
 	      ind = [ind i];
 	    end;
      end
 	
 	vmr=[];
 	err=[];
 	measresp=[];
 	altitude=[];
 	pressure=[];
 	temperature=[];
 	tpot=[];
 	pv=[];
 	eql=[];
 	measlat =[];
 	measlon =[];
    measgmlat=[];
    measgmlon=[];
 	meassza =[];
 	measquality =[];
 	%
 	for i=1:length(l2)
 	  %
 	  measlat(i)=NaN;
 	  measlon(i)=NaN;
      measgmlat(i)=NaN;
 	  measgmlon(i)=NaN;
 	  meassza(i)=NaN;
 	  measquality(i)=NaN;
 	  if  (l2(i).Quality <= 0) 
 	  
 	      tmp_P    = exp(interp1(l2(i).ZPT(ind,1),log(l2(i).ZPT(ind,2)),l2(i).Altitudes{species_id},'linear','extrap'));
 	      tmp_T    = interp1(l2(i).ZPT(ind,1),l2(i).ZPT(ind,3),l2(i).Altitudes{species_id},'linear','extrap');
 	      
 	      if strcmp(level_type,'altitude')
 	        ind=find(~isnan(l2(i).Profiles{species_id}));
 	        if (length(ind)<=2) continue; end
 	        vmr(i,:)     =interp1(l2(i).Altitudes{species_id}(ind),l2(i).Profiles{species_id}(ind),levels);
 	        altitude(i,:)=interp1(l2(i).Altitudes{species_id},l2(i).Altitudes{species_id},levels);
 	        pressure(i,:)=exp(interp1(l2(i).Altitudes{species_id},log(tmp_P),levels));        
 	      end
 	      if strcmp(level_type,'pressure')
 	        ind=find(~isnan(l2(i).Profiles{species_id}));
 	        if (length(ind)<=2) continue; end
 	        vmr(i,:)     =interp1(log(tmp_P(ind)),l2(i).Profiles{species_id}(ind),log(levels));    
 	        altitude(i,:)=interp1(log(tmp_P),l2(i).Altitudes{species_id},log(levels));
 	        pressure(i,:)=exp(interp1(log(tmp_P),log(tmp_P),log(levels)));  
          end 	     
 	  
 	    measlat(i)=l2(i).Latitude;
 	    measlon(i)=l2(i).Longitude;
 	    if isempty(l2(i).GMLat) measgmlat(i)=NaN;
        else measgmlat(i)=l2(i).GMLat;end;
 	    if isempty(l2(i).GMLon) measgmlon(i)=NaN;
        else measgmlon(i)=l2(i).GMLon;end;
        meassza(i)=l2(i).SunZD;
 	    measquality(i)=l2(i).Quality;
 	    %
 	  end
    end
 	
 	
 	nvmr        =zeros(length(latboxes),length(levels));
 	meanvmr     =NaN*ones(length(latboxes),length(levels));
 	meanerr     =NaN*ones(length(latboxes),length(levels));
 	medianvmr   =NaN*ones(length(latboxes),length(levels));
 	medianerr   =NaN*ones(length(latboxes),length(levels));
 	stddev      =NaN*ones(length(latboxes),length(levels));
 	meanresp    =NaN*ones(length(latboxes),length(levels));
 	meanaltitude=NaN*ones(length(latboxes),length(levels));
 	meanpressure=NaN*ones(length(latboxes),length(levels));
 	meantemperature=NaN*ones(length(latboxes),length(levels));
 	meantpot    =NaN*ones(length(latboxes),length(levels));
 	
    
 	meanlat = 1:length(latboxes);
 	meanlat(:) = NaN;
 	meanlon = 1:length(latboxes);
 	meanlon(:) = NaN;
 	meansza = 1:length(latboxes);
 	meansza(:) = NaN;
 	for latbox=1:length(latboxes)
 	  if (latbox>1) & (latbox<length(latboxes))
 	    latmin=latboxes(latbox)-abs(latboxes(latbox)-latboxes(latbox-1))/2;
 	    latmax=latboxes(latbox)+abs(latboxes(latbox+1)-latboxes(latbox))/2;
 	  elseif (latbox==1) & (latbox<length(latboxes))
 	    latmin=latboxes(latbox)-abs(latboxes(latbox)-latboxes(latbox+1))/2;
 	    latmax=latboxes(latbox)+abs(latboxes(latbox)-latboxes(latbox+1))/2;
 	  elseif (latbox==1) & (latbox==length(latboxes))
 	    latmin=latboxes(latbox)-0.5;
 	    latmax=latboxes(latbox)+0.5;;
 	  elseif (latbox>1) & (latbox==length(latboxes))
 	    latmin=latboxes(latbox)-abs(latboxes(latbox)-latboxes(latbox-1))/2;
 	    latmax=latboxes(latbox)+abs(latboxes(latbox)-latboxes(latbox-1))/2;
      end
 	    
        I =intersect(find(measgmlat>=latmin),find(measgmlat<=latmax));
        if ~isempty (I)
 	      meanvmr(latbox,:)=nanmean(vmr(I,:),1);
 	      medianvmr(latbox,:)=nanmedian(vmr(I,:),1);
 	      stddev(latbox,:)=nanstd(vmr(I,:),[],1);
          meanaltitude(latbox,:)=nanmean(altitude(I,:),1);
 	      meanpressure(latbox,:)=nanmean(pressure(I,:),1);
         % Averaging of magnetic instead of geographic latitudes
         
          %meanlat(latbox)=nanmean(measlat(I));
 	      %meanlon(latbox)=nanmean(measlon(I));
          
 	      meanlat(latbox)=nanmean(measgmlat(I));
 	      meanlon(latbox)=nanmean(measgmlon(I));
          
 	      meansza(latbox)=nanmean(meassza(I));
 	      for i=1:length(levels)
 	        nvmr(latbox,i) =  length(find(~isnan(vmr(I,i))));
 	     
 	        if ((nvmr(latbox,i) < 3)) meanvmr(latbox,i)=NaN; end
 	        if ((nvmr(latbox,i) < 3)) medianvmr(latbox,i)=NaN; end
 	        if ((nvmr(latbox,i) < 3)) stddev(latbox,i)=NaN; end
 	        if ((nvmr(latbox,i) < 3)) meanaltitude(latbox,i)=NaN; end
 	        if ((nvmr(latbox,i) < 3)) meanpressure(latbox,i)=NaN; end
 	      end

 	    end
 
 	end
 	fprintf(1,'\n');
 	
 	I=find(nvmr(:,:) > 0);
 	meanerr(I)=meanerr(I)./sqrt(nvmr(I));
 	medianerr(I)=medianerr(I)./sqrt(nvmr(I));

 	zm=[];
 	zm.level_type   = level_type;
 	zm.levels       = levels;
 	zm.lat_type     = lat_type;
 	zm.latboxes     = latboxes;
 	zm.meansza      = meansza;
 	zm.meanlat      = meanlat;
 	zm.meanlon      = meanlon;
 	zm.nvmr         = nvmr;
 	zm.meanvmr      = meanvmr;
 	zm.meanerr      = meanerr;
 	zm.medianvmr    = medianvmr;
 	zm.medianerr    = medianerr;
 	zm.stddev       = stddev;
 	zm.meanresp     = meanresp;
 	zm.meanaltitude = meanaltitude;
 	zm.meanpressure = meanpressure;
 	zm.meantemperature = meantemperature;
 	zm.meantpot     = meantpot;
 	
 	zm.species      = species;
 	zm.startdate    = l2(1).Date;
   
    out_name=[Sat,'_',species,'_zmean_Mag_',strrep(zm.startdate,'/','_')];
 	
 	zm.name = out_name;
 	%
 	
 	return
